problems while updating gem

# gem update --system
Updating RubyGems...
Attempting remote update of rubygems-update
Successfully installed rubygems-update-1.0.0
Updating version of RubyGems to 1.2.0
ERROR: While executing gem ... (Errno::ENOENT)
    No such file or directory - /usr/lib/ruby/gems/1.8/gems/rubygems-
update-1.2.0

does anybody know, why it's loading rubygems-update-1.0.0 but looking
for rubygems-update-1.2.0?
what can i do?